<?php
include "includes/conexao.php";


if(isset($_POST['submit'])){
	
	$cliente = $_POST['cliente'];
	$valor = $_POST['valor'];
	$conta_origem = $_POST['conta_origem'];
	$tipo = $_POST['tipo'];
	$prestacoes = $_POST['prestacoes'];
	$taxas = $_POST['taxas'];
	$previsao = $_POST['previsao'];
	
	
	$juros = $valor * $taxas;
	$total = $valor + $juros;
	$v_prest = $total / $prestacoes;
	
	$buscar = "SELECT * FROM creditos WHERE cliente = '$cliente' AND status='pendente'";
	$link = mysqli_query($con,$buscar);
	$dados = mysqli_fetch_assoc($link);
	$valor_anterior = $dados['valor'];
	
	
	$buscar_conta = "SELECT * FROM contas WHERE conta = '$conta_origem'";
	$linkar = mysqli_query($con,$buscar_conta);
	$data = mysqli_fetch_assoc($linkar);
	
	$saldo_anterior = $data['saldo'];
	
	if($valor > $valor_anterior){
		
		$diferenca = $valor - $valor_anterior;
	
	}else{
		
		
		$diferenca = $valor_anterior - $valor;
	}

	
	if($valor > $valor_anterior){
		
		$saldo_novo = $saldo_anterior - $diferenca;
	
	}else{
		
		$saldo_novo = $saldo_anterior + $diferenca;
	}
	
	
	    $user = $_SESSION['nome'];
		$data = date('Y-m-d');
		$hora = date("H:i", mktime(gmdate("H")+2, gmdate("i"), gmdate("s"), gmdate("m"), gmdate("d"), gmdate("Y")));
	
	
	$actualiza_cred = "UPDATE creditos SET valor='$valor',tipo='$tipo',prestacoes='$prestacoes',taxas='$taxas',
	v_prest='$v_prest',juros='$juros',total='$total',previsao='$previsao',data='$data',hora='$hora',user='$user' 
	WHERE cliente='$cliente' AND status='pendente'";
	$query_it_up = mysqli_query($con,$actualiza_cred);
	
	if($query_it_up){
		
		$actualiza_transacoes = "INSERT INTO transacoes(descricao,saida,entrada,saldo,caixa,data,hora,user)
		VALUES('Actualização de credito de $cliente','$valor','0','$saldo_novo','$conta_origem','$data','$hora','$user')";
		$quero = mysqli_query($con,$actualiza_transacoes);
		
		$conta_update = "UPDATE contas SET saldo = '$saldo_novo' WHERE conta ='$conta_origem'";
		$link_more = mysqli_query($con,$conta_update);
		
		echo "<script>alert('credito actualizado com sucesso')</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
		
		
		
		
	}else{
		
		echo "<script>alert('FALHA AO ACTUALIZAR CREDITO')</script>";
		echo "<script>window.open('creditos.php','_self')</script>";
		
	}
	
	
	
	
}









 ?>